import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class PreviewMultipleChoiceComponent implements OnInit {
    question: any;
    choicesForPreviewMode: any;
    constructor();
    ngOnInit(): void;
    randomize(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PreviewMultipleChoiceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PreviewMultipleChoiceComponent, "app-preview-multiple-choice", never, { "question": { "alias": "question"; "required": false; }; }, {}, never, never, false, never>;
}
